% sparseFFTr1l files
% ------------------
%
% m-Files:
%    bspline_test_10d                      - 10-dim. test function used by
%                                            demo_test3_2_runtests
%    bspline_test_10d_fouriercoeff         - Fourier coefficients of bspline_test_10d
%    compile_mex_files_octave              - compiles Octave MEX files used by
%                                            sfft_algorithm
%    compile_mex_files_with_openmp         - compiles MATLAB MEX files used by
%                                            sfft_algorithm with OpenMP support
%    compile_mex_files_without_openmp      - compiles MATLAB MEX files used by
%                                            sfft_algorithm
%    complex_gaussian_noise                - generates complex gaussian noise
%    demo_test1_runtests                   - runs some tests of Example 3.1 and 3.2
%                                            from [1] (noiseless case)
%    demo_test3_2_runtests                 - runs some tests similar to the ones of
%                                            Example 3.13 from [1] (10-dim. function)
%    demo_test4snr_runtests                - runs some tests similar to the ones of
%                                            Example 3.15 from [1] (Gaussian noise)
%    lfft                                  - computes rank-1 lattice FFT
%    lfft_gen_lattice                      - searches for generating vector z of
%                                            reconstructing rank-1 lattice
%    lfft_lattice_size_reduce              - searches for smaller rank-1 lattice
%    lfft_lattice_size_reduce_bisect_only  - searches for smaller rank-1 lattice by
%                                            using only a simple bisection method
%    print_test1                           - utility function for demo_test1_runtests
%    print_test3_2                         - utility function for
%                                            demo_test3_2_runtests
%    print_test4snr                        - utility function for
%                                            demo_test4snr_runtests
%    reco_cardI_basic1                     - utility function for sfft_algorithm
%    sfft_algorithm                        - algorithm for sparse high-dimensional
%                                            FFT based on rank-1 lattice sampling
%    test1_sfft_algorithm_multipletests    - utility function for demo_test1_runtests
%    test1_sfft_algorithm_singletest       - utility function for demo_test1_runtests
%    test3_2_sfft_algorithm_multipletests  - utility function for
%                                            demo_test3_2_runtests
%    test3_2_sfft_algorithm_singletest     - utility function for
%                                            demo_test3_2_runtests
%    test4snr_sfft_algorithm_multipletests - utility function for
%                                            demo_test4snr_runtests
%    test4snr_sfft_algorithm_singletest    - utility function for
%                                            demo_test4snr_runtests
%    trig_poly_eval                        - evaluates multivariate trigonometric
%                                            polynomial
%    trig_poly_eval_gaussiannoise          - evaluates multivariate trigonometric
%                                            polynomial and perturbs samples by
%                                            Gaussian noise
%
% Reference:
% [1] D. Potts and T. Volkmer
%     Sparse high-dimensional FFT based on rank-1 lattice sampling
%     Submitted, 2015
%
% Please call either
%    compile_mex_files_without_openmp
% or 
%    compile_mex_files_without_openmp
% first if you use MATLAB. Otherwise, in case you use Octave, please call
%    compile_mex_files_octave
%
% Then, you may run the demos
%    demo_test1_runtests
% or
%    demo_test3_2_runtests
% or
%    demo_test4snr_runtests
%
% The algorithm for the sparse FFT is the MATLAB function
%    sfft_algorithm
% and the important utility functions required by the algorithm are
%    lfft
%    lfft_gen_lattice (or lfft_gen_lattice_mex if MEX file is compiled)
%    lfft_lattice_size_reduce (lfft_lattice_size_reduce_mex)
%    lfft_lattice_size_reduce_bisect_only (lfft_lattice_size_reduce_bisect_only_mex)
%    reco_cardI_basic1
